Subject: bug#32239: 27.0.50; Message about `package-initialize' missing from *Messages* buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Jul 2019 05:18:09 +0200

"N. Jackson" <[email-masked]> writes:

> Today I'm running the master branch for the first time in a
> while. After starting Emacs, I checked the *Messages* buffer to
> see if anything in my settings is broken; everything looked
> good.
>
> Later in my session I stumbled across a buffer called *Warnings*
> with the following message in it:
>
>   Warning (package): Unnecessary call to `package-initialize' in init file
>
> . It seems to me that this message should have appeared in the
> *Messages* buffer instead. (Or possibly as well.)

I think that function has stopped messaging now because it was
determined that that was too annoying?  At least I'm not able to
reproduce this now, so I'm closing this bug report.

(In any case, I think putting warnings in *Messages* too isn't perhaps
the best thing...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no